﻿function getQueryStr(str) {
    var LocString = String(window.document.location.href);
    var rs = new RegExp("(^|)" + str + "=([^&]*)(&|$)", "gi").exec(LocString), tmp;
    if (tmp = rs) {
        return decodeURIComponent(tmp[2]);
    }
    return "";
}
var accessId = getQueryStr("accessId");
var accessKey = getQueryStr("accessKey");
var wisId = getQueryStr("wisId");
var tisId = getQueryStr("tisId");
var adUserId = getQueryStr("uid");
var thApp = getQueryStr("thApp");
var thStream = getQueryStr("thStream");
wisId = wisId ? wisId : "8e4b06e269eb464313059d8b2c08307f";     //修改为自己的wisId
thApp = thApp ? thApp : "dyy_1389_435";      //教师端thApp
thStream = thStream ? thStream : (wisId + "_t");         //教师段thStream
adUserId = adUserId ? adUserId : "1011";            //奥点云帐号Id
var lssPlayAddr = "rtmp://" + adUserId + ".lssplay.aodianyun.com";
var thPlay = lssPlayAddr + "/" + thApp + "/" + thStream;
var thHlsPlay = "http://" + adUserId + ".hlsplay.aodianyun.com/" + thApp + "/" + thStream + ".m3u8";
var thHlsPlayAudio = "http://" + adUserId + ".hlsplay.aodianyun.com/" + thApp + "/" + thStream + "_audio" + ".m3u8";
function uiLayout() {
    var width = $(".mainBody").width();
    var height = 9 / 16 * width;
    $(".headBox").height(height);
    $(".playerView video").attr("height", parseInt(height)).attr("width", parseInt(width)).height(parseInt(height)).width(parseInt(width));
    $(".playerView audio").attr("height", parseInt(height)).attr("width", parseInt(width)).height(parseInt(height)).width(parseInt(width));
    var bottomHeight = $(".mainBody").height() - $(".headBox").height();
    bottomHeight = bottomHeight < 300 ? 300 : bottomHeight;
    $(".bottomBox").height(bottomHeight);
    $(".tabBodyItem").height($(".bottomBox").height() - $(".tabsHeader").height() - 2);
    $(".tabBody").height($(".bottomBox").height() - $(".tabsHeader").height() - 2);
    if ($('#wisFrame').length > 0 && $('#wisFrame')[0].contentWindow && $('#wisFrame')[0].contentWindow.WIS_Resize) {
        $('#wisFrame')[0].contentWindow.WIS_Resize($(".tabBodyItem").width(), $(".tabBodyItem").height());
    }
}
$(window).resize(function () {
    uiLayout();
});
function switchTab(tab, tabBody) {
    $(tabBody).show();
    $(tabBody).siblings().hide();
    $(tab).parent().addClass("selectTab");
    $(tab).parent().siblings().removeClass("selectTab");
    $(window).resize();
}
$(function () {
   uiLayout();
   $("#wisFrame").attr("src", "./wisFrame.html?accessId=" + accessId + "&accessKey=" + accessKey + "&wisId=" + wisId + "&time=" + new Date().getTime() +"&thHlsPlay="+thHlsPlay );
   var api = TISAPI.New('./tis/tis_interface.php', { tisId: tisId, accessId: accessId, accessKey: accessKey }, false);
   window.tis = TIS(".tis-container", {
       api: api,                               //必须
       name: "移动端用户",                           //可选，默认为Anonymous
       image: "http://cdn.aodianyun.com/tis/ui/default/img/anonymous.png",          //可选，默认未定义
       template: tis_width_ui,     //界面模版
       useSSL:true,
       //以下均可选
       failure: function (error, when) {       //某个操作失败时调用
           if (typeof error != "string") {
               if (when == "sendMsg" && error.code == 400 && error.error == "instance closed") {
                   alert("TIS实例已关闭");
                   return;
               }
               alert(when + "操作失败");
           } else {
               alert("操作失败：" + error);
           }
       },
       onSendSuccess: function (data) {
           //当发送消息成功时调用
           console.log("消息发送成功");
       },
       onReconnect: function () {
           //当需要与服务器重新连接时调用
           console.log("正在与服务器重连");
       },
       onConnect: function (data) {
           //当与服务器连接成功时调用
           console.log("与服务器重连接成功:", data.clientId + ":" + data.topic);
       },
       onLoadComponent: function () {
           console.log("组件加载完成");
       }
   });
   var html = '<video src="' + (thHlsPlay) + '" controls="controls" autoplay poster webkit-playsinline>您的浏览器不支持 video 标签。</video>';
   $("#playerView").html(html);
   $(window).resize();
   $("#playerView video")[0].play();
    /*
   $(".switchBtnBox a").click(function () {
       if ($(this).hasClass("switchCloseBtn")) {
           $(this).text("").css({ "background-color": "rgba(255,102,0,0.7)" });
           $(this).animate({ "margin-left": 1 }, 150, function () {
               $(this).removeClass("switchCloseBtn");
               $(this).text("视频").css({ "background-color": "rgb(255,102,0)" });
               var html = '<video src="' + (thHlsPlay) + '" controls="controls" autoplay="autoplay">您的浏览器不支持 video 标签。</video>';
               $("#playerView").html(html);
               $(window).resize();
           });
       } else {
           $(this).text("").css({ "background-color": "rgba(255,102,0,0.7)" });;
           $(this).animate({ "margin-left": 36 }, 150, function () {
               $(this).addClass("switchCloseBtn");
               $(this).text("音频").css({ "background-color": "rgb(255,102,0)" });
               var html = '<audio src="' + (thHlsPlayAudio) + '" controls="controls" autoplay="autoplay">您的浏览器不支持 audio 标签。</audio>';
               $("#playerView").html(html);
               $(window).resize();
           });
       }
   }).click();*/
});